Subject: bug#34407: Acknowledgement (Shepherd won't close socket on exit)

From: nly <[email-masked]>
Date: Sun, 10 Feb 2019 01:51:47 +0530

Looks like I pasted something wrong in the previous message. I realized
after I saw it on the mail.

This time I've checked it twice. Left the shepherd in a weird limbo
where connection is refused to the old socket and cannot create new
connection. 

Ofcourse, i can `rm /run/user/1000/shepherd/socket`
--------------------------------------------------------------------------------
nly@uf ~$ herd status
error: connect: /run/user/1000/shepherd/socket: No such file or directory
nly@uf ~$ shepherd
Service root has been started.
nly@uf ~$ herd status
Started:
 + root
Stopped:
 - icecat
 - jack
 - mpv
 - mpv-jack
 - tor
 - transmission
nly@uf ~$ herd stop root
nly@uf ~$ herd status
error: connect: /run/user/1000/shepherd/socket: Connection refused
nly@uf ~$ shepherd
Service root has been started.
nly@uf ~$ Backtrace:
           3 (primitive-load "/run/current-system/profile/bin/shepherd")
In shepherd.scm:
   250:24  2 (main . _)
     48:6  1 (open-server-socket _)
In unknown file:
           0 (bind #<input-output: socket 13> #(1 "/run/user/1000/shepherd/socket") #)

ERROR: In procedure bind:
In procedure bind: Address already in use
  C-c C-c
nly@uf ~$ herd status
error: connect: /run/user/1000/shepherd/socket: Connection refused